import { type Config } from '@pnpm/config';
import { type CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
import { cliOptionsTypes } from './install';
export declare const rcOptionsTypes: () => {
    'fix-lockfile': BooleanConstructor;
    'resolution-only': BooleanConstructor;
    recursive: BooleanConstructor;
    force: any;
    registry: any;
    dev: any;
    optional: any;
    global: any;
    production: any;
    offline: any;
    only: any;
    proxy: any;
    'ignore-scripts': any;
    'fetch-retries': any;
    'fetch-retry-factor': any;
    'fetch-retry-mintimeout': any;
    'fetch-retry-maxtimeout': any;
    'scripts-prepend-node-path': any;
    'engine-strict': any;
    'unsafe-perm': any;
    'prefer-offline': any;
    'https-proxy': any;
};
export { cliOptionsTypes };
export declare const shorthands: {
    D: string;
    P: string;
};
export declare const commandNames: string[];
export declare function help(): string;
export declare function handler(opts: Pick<Config, 'production' | 'dev' | 'rootProjectManifest' | 'rootProjectManifestDir'> & CreateStoreControllerOptions): Promise<void>;
